%global _hardened_build 1

Summary:        Utility for managing Apple DOS 3.3 .dsk images
Name:           a2tools
Version:        003
Release:        1%{?dist}
License:        GPLv2
Group:          Applications/apple
URL:            ftp://ftp.apple.asimov.net/pub/apple_II/utility/
Source0:        ftp://ftp.apple.asimov.net/pub/apple_II/utility/%{name}-v%{version}.zip

BuildRequires:  gcc dos2unix

%description
a2tools allows the copying of individual files in or out of Apple DOS 3.3 .dsk
images, with appropriate conversions.

Features:
	- converts tokenized Integer and Applesoft programs to ASCII
	- has a 'raw mode' option to suppress conversions
	- knows about sparse T files (with raw mode)
	- has commands for directory listing and file deletion
	- user interface differs slightly between platforms to
	  accomodate both DOS and UNIX conventions
	- includes specific documentation for each platform

%prep
%autosetup -n %{name}

# Create simple make file tp honor Fedora GCC flags
cat >Makefile <<EOF
a2tools:    a2tools.c
	gcc $RPM_OPT_FLAGS -o a2tools a2tools.c
EOF

%build
%make_build

%install
install -D -m 0755 a2tools     $RPM_BUILD_ROOT%{_bindir}/a2tools
install -D -m 0644 a2tools.6   $RPM_BUILD_ROOT%{_mandir}/man6/a2tools.6

# utils
ln -s %{_bindir}/a2tools       $RPM_BUILD_ROOT%{_bindir}/a2ls
ln -s %{_bindir}/a2tools       $RPM_BUILD_ROOT%{_bindir}/a2out
ln -s %{_bindir}/a2tools       $RPM_BUILD_ROOT%{_bindir}/a2in
ln -s %{_bindir}/a2tools       $RPM_BUILD_ROOT%{_bindir}/a2rm

# Man pages
ln -s %{_mandir}/man6/a2tools.6.gz       $RPM_BUILD_ROOT%{_mandir}/man6/a2ls.6.gz
ln -s %{_mandir}/man6/a2tools.6.gz       $RPM_BUILD_ROOT%{_mandir}/man6/a2out.6.gz
ln -s %{_mandir}/man6/a2tools.6.gz       $RPM_BUILD_ROOT%{_mandir}/man6/a2in.6.gz
ln -s %{_mandir}/man6/a2tools.6.gz       $RPM_BUILD_ROOT%{_mandir}/man6/a2rm.6.gz

%files
%defattr(-,root,root)
%doc README
%license LICENSE
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*

%changelog
* Wed Jul 19 2017 Greg Wildman <greg@techno.co.za> - 003-1
- Initial spec.


